using System.ComponentModel.DataAnnotations;
using AutoMapper;

namespace MileageTraker.Web.ViewModels.Vehicle
{
	public class VehiclePartialDetails
	{
		[Display(Name = "EHTRA ID")]
		public string VehicleId { get; set; }

		public string Prog { get; set; }

		[DisplayFormat(NullDisplayText = "Unassigned")]
		public string Assigned { get; set; }

		public string Notes { get; set; }

		public string ModelYear { get; set; }

		public string Make { get; set; }

		[Display(Name = "Model")]
		public string CarModel { get; set; }

		public string Color { get; set; }

		public string Type { get; set; }

		[Display(Name = "Tag#")]
		public string TagNumber { get; set; }

		static VehiclePartialDetails()
		{
			Mapper.CreateMap<Models.Vehicle, VehiclePartialDetails>();
		}

		public VehiclePartialDetails()
		{}

		public VehiclePartialDetails(Models.Vehicle vehicle)
		{
			Mapper.Map(vehicle, this);
		}
	}
}